See the top rated post in this thread. Click here

Results 1 to 4 of 4

Thread: hello, any one can help me make multiple leader match same angle

  1. #1
    Login to Give a bone
    0

    Default hello, any one can help me make multiple leader match same angle

    hello, any one can help me make multiple leader match same angle, because i have a lot of leader but leader angle not same , but my job need to arrange all leader make same angle, how can i do ??
    THX

  2. #2
    Woo! Hoo! my 1st post
    Join Date
    2015-11
    Posts
    1
    Login to Give a bone
    1

    Default Re: hello, any one can help me make multiple leader match same angle

    Hi,

    You can use the mleadersalign.lsp (work in model space only). Set UCS to new alignment and ran the lisp. Just remember to change your UCS back!!

    Thanks

    Hannah-Marie

  3. #3
    Login to Give a bone
    0

    Default Re: hello, any one can help me make multiple leader match same angle

    in other post, i found this lisp, but i only need same angle, no need same height, but i don't know how to change this lisp, anyone can help me, pls

    and i need to change is LEADER, not multileader, i only need to arrange leader angle , no need same height, anyone can help me

    Code:
    ---------
    (defun c:foo (/ _pts a d e el epts i mp n o p p2 s x y)
      ;; RJP 03.27.2018
      ;; Aligns 'old school' 3 pt leaders matching angle of leader and fixes offset distance of horizontal landings
      ;; ***The bottom most leader is the one matched***
      ;; Far from perfect, but better than doing it manually 
      (defun _pts (e)
        (mapcar 'cdr
    	    (vl-remove-if-not '(lambda (x) (= 10 (car x))) (entget e))
        )
      )
      (cond
        ((and (setq s (ssget ":L" '((0 . "leader"))))
    	  (setq
    	    s (vl-sort
    		(mapcar	'(lambda (x) (append (list x) (_pts x)))
    			(vl-remove-if 'listp (mapcar 'cadr (ssnamex s)))
    		)
    		'(lambda (a b) (< (cadr (last a)) (cadr (last b))))
    	      )
    	  )
    	  (setq d (/ (distance (last (car s)) (last (last s))) (length s)))
    	  (or (setq
    		i (getdist
    		    (strcat "\nEnter spacing for horizontal leader[<"
    			    (vl-princ-to-string d)
    			    ">]: "
    		    )
    		  )
    	      )
    	      (setq i d)
    	  )
    	  (setq e (car s))
    	  (setq s (cdr s))
         )
         (setq a (angle (car (setq epts (cdr e))) (cadr epts)))
         (setq y (last epts))
         (setq n 1)
         (foreach l	s
           (setq o (vlax-ename->vla-object (car l)))
           (setq p (cdr l))
           (cond ((setq mp
    		     (inters (car p)
    			     (polar (car p) a 1e-2)
    			     (setq p2 (list (car y) (+ (* n i) (cadr y)) 0.0))
    			     (polar p2 0.0 1e-2)
    			     nil
    		     )
    	      )
    	      (vlax-put	o
    			'coordinates
    			(apply 'append (list (car p) mp p2))
    	      )
    	      (setq n (1+ n))
    	     )
           )
         )
        )
      )
      (princ)
    )
    Attached Images Attached Images
    Last edited by Opie; 2018-06-20 at 12:18 PM. Reason: [code] tags added

  4. #4
    I could stop if I wanted to
    Join Date
    2005-06
    Location
    CORDOBA-ARGENTINA
    Posts
    275
    Login to Give a bone
    0

    Default Re: hello, any one can help me make multiple leader match same angle

    Please upload your true DWG.

Similar Threads

  1. Replies: 3
    Last Post: 2018-03-28, 01:33 PM
  2. Dim angle in Leader
    By fredacx363311 in forum AutoLISP
    Replies: 4
    Last Post: 2013-03-05, 04:38 PM
  3. multiple connection point for leader tails when using a multi-leader
    By jschraud228486 in forum AutoCAD Annotation
    Replies: 1
    Last Post: 2010-06-16, 01:42 AM
  4. Angle of leader segment
    By cadconcepts in forum AutoLISP
    Replies: 9
    Last Post: 2009-03-03, 06:32 AM
  5. Line and Text Angle Match
    By BCrouse in forum AutoCAD General
    Replies: 37
    Last Post: 2006-03-10, 11:15 AM

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •